Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Transaction set Element API.

## Files
file | rpmte.h
| Structures used for an "rpmte" transaction element.

## Typedefs
typedef enum rpmElementType_e | rpmElementType
## Enumerations
enum | rpmElementType_e { TR_ADDED = (1 << 0), TR_REMOVED = (1 << 1) }

## Typedef Documentation

typedef enum rpmElementType_e rpmElementType

| Transaction element type. Referenced by rpmteFree, rpmteNew, rpmteType, and rpmtsiNext.

## Enumeration Type Documentation

enum rpmElementType_e

  | Transaction element type. Enumeration values:
  TR_ADDED | Package will be installed.
  TR_REMOVED | Package will be removed.
Definition at line 29 of file rpmte.h.